Bug 200856 - eric: documentation links
eric: documentation links
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eric (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 18:36 EDT by Anand Buddhdev
Modified: 2008-02-07 16:02 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.9.5-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 22:36:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Buddhdev 2006-07-31 18:36:03 EDT
Description of problem:

If I select the following menu options under the "help" menu, I get error dialog
boxes:

Python documentation
Qt documentation
Qt4 documentation

In each case, the path that eric is looking for is not available. For the python
documentation, it is looking in:

/usr/share/doc/packages/python/html/index.html

This is the path on Suse Linux, but on Fedora, it would be:

/usr/share/doc/python-docs-2.4.3/html/index.html

For Qt, it would be:

/usr/share/doc/qt-devel-3.3.6/html/index.html

And for Qt4, it would be:

/usr/share/doc/qt4/html/index.html


Version-Release number of selected component (if applicable):

eric-3.9.1-2.fc5


How reproducible:

Always

Steps to Reproduce:
1. Install eric 3.9.1-2.fc5
2. From the help menu, select one of the above options
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2006-08-01 08:17:21 EDT
Confirmed python/qt4 links not working.  

"Qt Documentation" worksforme, provided you have qt-devel-docs installed (I
guess in fc5 that bit is included in qt-devel).
Comment 2 Fedora Update System 2008-01-27 02:12:30 EST
eric-3.9.5-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eric'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F8/FEDORA-2008-1034
Comment 3 Fedora Update System 2008-02-06 22:35:58 EST
eric-3.9.5-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-02-07 16:02:38 EST
eric-3.9.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.